- [ ] check UML
- [x] write preconditions and postconditions in comments
- [x] test null parameters with _Objects.requireNonNull_
- [x] put javadoc in gitlab
- [ ] fix test checking engine in undomanager
- [ ] put inside command execute the save in undomanager
